libmoo-perl (2.005004-3) unstable; urgency=medium

  * Turn libclass-xsaccessor-perl from Recommends to Depends (Closes: #1001173)

 -- intrigeri <intrigeri@debian.org>  Sun, 05 Dec 2021 19:33:25 +0000

libmoo-perl (2.005004-2) unstable; urgency=medium

  * Team upload.
  * Add a Breaks on older versions of libobject-remote-perl.
    Cf. #993403.
  * Declare compliance with Debian Policy 4.6.0.

 -- gregor herrmann <gregoa@debian.org>  Tue, 31 Aug 2021 22:40:28 +0200

libmoo-perl (2.005004-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Import upstream version 2.005003.
  * Update (build) dependencies.
  * Update years of upstream copyright.
  * debian/rules: remove unneeded override
    (and unused variables from a previous override).

  [ intrigeri ]
  * Import upstream version 2.005004.

 -- intrigeri <intrigeri@debian.org>  Wed, 18 Aug 2021 18:20:34 +0000

libmoo-perl (2.004004-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 2.004004.

 -- gregor herrmann <gregoa@debian.org>  Fri, 27 Nov 2020 02:10:21 +0100

libmoo-perl (2.004003-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 2.004003.
  * Update (build) dependencies: remove libmodule-runtime-perl.
  * Declare compliance with Debian Policy 4.5.1.
  * Bump debhelper-compat to 13.

 -- gregor herrmann <gregoa@debian.org>  Mon, 23 Nov 2020 19:38:26 +0100

libmoo-perl (2.004000-1) unstable; urgency=medium

  * Team upload.

  [ intrigeri ]
  * Add Recommends: libnamespace-clean-perl (Closes: #944081)

  [ Debian Janitor ]
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.
  * Import upstream version 2.004000.
  * Update years of upstream copyright.
  * Declare compliance with Debian Policy 4.5.0.
  * Annotate test-only build dependencies with <!nocheck>.

 -- gregor herrmann <gregoa@debian.org>  Sat, 11 Apr 2020 16:32:39 +0200

libmoo-perl (2.003006-1) unstable; urgency=medium

  * Import upstream version 2.003006
  * Update build and runtime dependencies
  * Bump debhelper compatibility level to 12
  * Update and tidy build and runtime dependencies with "dh-make-perl refresh"
  * Declare compliance with policy 4.4.1
  * Declare that debian/rules does not need (fake)root

 -- intrigeri <intrigeri@debian.org>  Wed, 30 Oct 2019 07:05:31 +0000

libmoo-perl (2.003004-2) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ intrigeri ]
  * Bump debhelper compatibility level to 11.
  * Declare compliance with Debian Policy 4.2.1.

 -- intrigeri <intrigeri@debian.org>  Mon, 29 Oct 2018 19:54:03 +0000

libmoo-perl (2.003004-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 2.003004.
  * Declare compliance with Debian Policy 4.1.3.
  * Bump debhelper compatibility level to 10.

 -- gregor herrmann <gregoa@debian.org>  Tue, 02 Jan 2018 22:33:26 +0100

libmoo-perl (2.003003-1) unstable; urgency=medium

  [ Alex Muntada ]
  * Remove inactive pkg-perl members from Uploaders.

  [ intrigeri ]
  * Import upstream version 2.003003.
  * Declare compliance with Standards-Version 4.1.1.
  * debian/changelog: remove trailing whitespace.

 -- intrigeri <intrigeri@debian.org>  Mon, 27 Nov 2017 09:01:40 +0000

libmoo-perl (2.003002-1) unstable; urgency=medium

  * Team upload.
  * Import upstream versions 2.003000, 2.003002.
  * Add new (build) dependencies.

 -- gregor herrmann <gregoa@debian.org>  Sat, 17 Jun 2017 22:43:55 +0200

libmoo-perl (2.002005-1) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * Remove Fabrizio Regalli from Uploaders. Thanks for your work!

  [ Nuno Carvalho ]
  * Import upstream version 2.002005.
  * d/control: update required version for librole-tiny-perl.

 -- Nuno Carvalho <smash@cpan.org>  Thu, 03 Nov 2016 10:38:48 +0000

libmoo-perl (2.002004-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 2.002004

 -- Lucas Kanashiro <kanashiro@debian.org>  Sun, 03 Jul 2016 14:31:02 -0300

libmoo-perl (2.002003-1) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ intrigeri ]
  * Import new upstream release: 2.002003.
  * Bump {build,run}-time versioned dependency on librole-tiny-perl
    to >= 2.000002.
  * Bump {build,run}-time versioned dependency on libstrictures-perl to >= 2.
  * Declare compliance with Standards-Version 3.9.8.

 -- intrigeri <intrigeri@debian.org>  Sat, 25 Jun 2016 08:00:15 +0000

libmoo-perl (2.001001-1) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ Lucas Kanashiro ]
  * Import upstream version 2.001001
  * Declare compliance with Debian policy 3.9.7
  * debian/control: remove build dependency on libtest-simple-perl >= 0.94, it
    is already satisfied
  * Create patch to fix typo in manpage

  [ gregor herrmann ]
  * Make build dependency and recommendation on libsub-name-perl
    versioned.

 -- Lucas Kanashiro <kanashiro.duarte@gmail.com>  Mon, 28 Mar 2016 21:22:06 -0300

libmoo-perl (2.000002-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 2.000002
  * Rename autopkgtest configuration file.
  * Update years of upstream copyright and list of copyright holders.

 -- gregor herrmann <gregoa@debian.org>  Sun, 18 Oct 2015 18:42:00 +0200

libmoo-perl (2.000001-3) unstable; urgency=medium

  * Team upload,
  * Add debian/tests/pkg-perl/test-files to fix autopkgtest.
    Thanks to ci.debian.net.
  * Bump debhelper compatibility level to 9.
  * Fix typo in package description. Thanks to lintian.

 -- gregor herrmann <gregoa@debian.org>  Wed, 12 Aug 2015 21:27:59 +0200

libmoo-perl (2.000001-2) unstable; urgency=low

  * Upload to unstable again. (Team upload)

 -- Axel Beckert <abe@debian.org>  Mon, 13 Jul 2015 21:09:14 +0200

libmoo-perl (2.000001-1) experimental; urgency=low

  * Team upload
  * Imported upstream version 2.000001 (Closes: #790418)
    + Add a NEWS.Debian file to list incompatible upstream changes.
  * Mark package as autopkgtestable.

 -- Axel Beckert <abe@debian.org>  Wed, 01 Jul 2015 00:14:47 +0200

libmoo-perl (1.006001-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 1.006001
  * Update versioned (build) dependency on librole-tiny-perl.
  * Declare compliance with Debian Policy 3.9.6.

 -- gregor herrmann <gregoa@debian.org>  Thu, 23 Oct 2014 23:42:02 +0200

libmoo-perl (1.006000-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ intrigeri ]
  * New upstream release.
  * Bump {build,runtime}-dependency on libmodule-runtime-perl to >= 0.014.
  * Add debian/upstream/metadata.
  * Add myself to uploaders.

 -- intrigeri <intrigeri@debian.org>  Tue, 26 Aug 2014 11:31:20 -0700

libmoo-perl (1.005000-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Thu, 12 Jun 2014 18:25:54 +0200

libmoo-perl (1.004006-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Thu, 29 May 2014 15:58:07 +0200

libmoo-perl (1.004005-1) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Axel Beckert ]
  * Remove Maximilian Gaß from Uploaders (no more active according to himself)

  [ gregor herrmann ]
  * New upstream release.
  * debian/rules: remove override_dh_auto_install.
    The file we removed is gone.
  * Update (build) dependencies.

 -- gregor herrmann <gregoa@debian.org>  Fri, 23 May 2014 15:00:45 +0200

libmoo-perl (1.004002-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add new upstream copyright holder.
  * Add (build) dependency on libimport-into-perl.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Thu, 02 Jan 2014 20:22:57 +0100

libmoo-perl (1.003001-1) unstable; urgency=low

  * Team upload.
  * New upstream release
    + Update dependencies on librole-tiny-perl to >= 1.003002

 -- Axel Beckert <abe@debian.org>  Sat, 28 Sep 2013 03:11:33 +0200

libmoo-perl (1.003000-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Drop spelling patch, merged upstream.
  * Update (build) dependencies.
  * debian/rules: don't install the new moo-outdated script into the
    binary package.

 -- gregor herrmann <gregoa@debian.org>  Tue, 16 Jul 2013 20:24:56 +0200

libmoo-perl (1.002000-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Bump versioned (build) dependency on libdevel-globaldestruction-perl.
  * Refresh patch (offset).
  * Add another spelling fix to the patch and forward it upstream.

 -- gregor herrmann <gregoa@debian.org>  Wed, 10 Jul 2013 19:09:23 +0200

libmoo-perl (1.001000-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/copyright: add new copyright holder.

  [ Alessandro Ghedini ]
  * New upstream release
  * Add new copyright holder
  * Add 01_fix-spelling.patch

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 22 Mar 2013 12:18:46 +0100

libmoo-perl (1.000008-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Alessandro Ghedini ]
  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 12 Feb 2013 13:18:04 +0100

libmoo-perl (1.000006-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * debian/copyright: update list of copyright holders.
  * debian/control: update versioned (build) dependencies.

 -- gregor herrmann <gregoa@debian.org>  Sun, 09 Dec 2012 17:50:41 +0100

libmoo-perl (1.000005-1) unstable; urgency=low

  * New upstream release
  * Bump versioned (build) depends on libclass-method-modifiers-perl
  * Drop fix-spelling.patch (merged upstream)

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 07 Nov 2012 19:49:44 +0100

libmoo-perl (1.000004-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.9.4 (no changes needed)

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 08 Oct 2012 10:15:44 +0200

libmoo-perl (1.000003-1) unstable; urgency=low

  * New upstream release
  * Move libdevel-globaldestruction-perl to Depends and bump version

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 16 Aug 2012 12:04:50 +0200

libmoo-perl (1.000001-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Alessandro Ghedini ]
  * New upstream release
  * Add fix-spelling.patch

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 26 Jul 2012 01:18:26 +0200

libmoo-perl (0.091011-1) unstable; urgency=low

  * Team upload.
  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Wed, 27 Jun 2012 18:48:12 +0200

libmoo-perl (0.091009-1) unstable; urgency=low

  * New upstream release
  * Bump versioned (build) depends on librole-tiny-perl
  * Build depend and recommend libdevel-globaldestruction-perl

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 21 Jun 2012 20:07:24 +0200

libmoo-perl (0.091007-1) unstable; urgency=low

  * New upstream release
  * Drop (build) depends on libdevel-globaldestruction-perl
  * Downgrade versioned (build) depends on libclass-method-modifiers-perl and
    libmodule-runtime-perl

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 17 May 2012 23:36:32 +0200

libmoo-perl (0.091005-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 16 May 2012 12:04:50 +0200

libmoo-perl (0.091004-1) unstable; urgency=low

  * New upstream release
  * Update version (build) depends on librole-tiny-perl

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 08 May 2012 12:14:42 +0200

libmoo-perl (0.091000-1) unstable; urgency=low

  * New upstream release
  * (Build) depend on versioned librole-tiny-perl
  * (Build) depend on versioned libdevel-globaldestruction-perl

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 30 Apr 2012 19:33:44 +0200

libmoo-perl (0.009014-1) unstable; urgency=low

  * New upstream release
  * Add libmodule-runtime-perl and librole-tiny-perl to (build) depends
  * Add myself to Uploaders
  * Update debian/copyright format as in Debian Policy 3.9.3
  * Bump Standards-Version to 3.9.3

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 03 Apr 2012 11:21:08 +0200

libmoo-perl (0.009013-1) unstable; urgency=low

  * Team upload

  [ Alessandro Ghedini ]
  * New upstream release
  * Add libclass-xsaccessor-perl to B-D-I and Recommends

  [ gregor herrmann ]
  * Make (build) dependency on libclass-method-modifiers-perl versioned.

 -- Alessandro Ghedini <al3xbio@gmail.com>  Fri, 23 Dec 2011 20:41:22 +0100

libmoo-perl (0.009012-1) unstable; urgency=low

  * Team upload
  * New upstream release
  * Update upstream copyright holders
  * Drop versioned B-D-I on libtest-fatal-perl
  * Build depend on perl (>= 5.14) | libtest-simple-perl (>= 0.96)
  * One B-D-I per line

 -- Alessandro Ghedini <al3xbio@gmail.com>  Wed, 16 Nov 2011 17:15:04 +0100

libmoo-perl (0.009011-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * debian/copyright: Add an additional copyright holder.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 03 Oct 2011 19:28:18 +0200

libmoo-perl (0.009010-1) unstable; urgency=low

  * Team upload.

  [ Ansgar Burchardt ]
  * New upstream release.
  * debian/copyright: Add an additional copyright holder.
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 10 Aug 2011 12:58:06 +0200

libmoo-perl (0.009008-1) unstable; urgency=low

  * New upstream release
  * Bump to 3.9.2 Standard-Version.
  * Switch to DEP5 license format.
  * Add myself to Uploaders.
  * Update Format-Specification link.

 -- Fabrizio Regalli <fabreg@fabreg.it>  Wed, 15 Jun 2011 23:17:43 +0200

libmoo-perl (0.009007-1) unstable; urgency=low

  * Initial Release. (Closes: #614940)

 -- Maximilian Gass <mxey@cloudconnected.org>  Fri, 25 Feb 2011 20:01:54 +0100
